package rest;

import java.util.Date;
import java.util.logging.Logger;

import javax.ws.rs.ApplicationPath;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;

@Path("/")
@Produces("text/plain")
public class RestService {

	private static Logger LOGGER = Logger.getLogger("jai.jaxrs");

	@Path("/badge/{id}/{espace}")
	@GET
	public String validerBadge(@PathParam("id") String id, @PathParam("espace") String espace) {
		LOGGER.info("validation du badge " + id + " a l'espace " + espace);
		return "Success";
	}

	@Path("freq/{espace}/{from}/{to}")
	@GET
	public String frequence(@PathParam("espace") String espace, @PathParam("from") Date from, @PathParam("to") Date to) {
		LOGGER.info("frequence de " + from + " a " + to + " espace " + espace);
		return "Graphe";
	}

	@Path("profile/{id}")
	@GET
	public String profil(@PathParam("id")String id) {
		LOGGER.info("profil " +id);
		return "Profil";
	}
}
